# Class PutMethodWebRequest

java.lang.Object
com.meterware.httpunit.WebRequest
com.meterware.httpunit.MessageBodyWebRequest
com.meterware.httpunit.PutMethodWebRequest

public class PutMethodWebRequest extends MessageBodyWebRequest
A web request using the PUT protocol. The objectives of this class are to suport an HTTP PUT petition so we can test this HTTP requests. Documentation See the HTTP 1.1 [spec]

Author:
  Tom Watkins, Deepa Dihr, Marcos Tarruella, Russell Gold

## Nested Class Summary

### Nested classes/interfaces inherited from class MessageBodyWebRequest

`MessageBodyWebRequest.InputStreamMessageBody`

## Field Summary

### Fields inherited from class MessageBodyWebRequest

`_body`

### Fields inherited from class WebRequest

`method`

## Constructor Summary

Constructors
Constructor
Description
`PutMethodWebRequest(String url, InputStream source, String contentType)`
Constructs a web request using a specific absolute url string and input stream.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Returns 'PUT' to indicate the method.

### Methods inherited from class MessageBodyWebRequest

`completeRequest, getContentType, getMessageBody, isMimeEncoded, writeMessageBody`

### Methods inherited from class WebRequest

`getCharacterSet, getHeaders, getParameter, getParameterHolder, getParameterValues, getQueryString, getRequestParameterNames, getTarget, getURL, getURLBase, getURLString, isFileParameter, maySelectFile, removeParameter, selectFile, selectFile, selectFile, setHeaderField, setImageButtonClickPosition, setParameter, setParameter, setParameter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PutMethodWebRequest

public PutMethodWebRequest(String url, InputStream source, String contentType)
Constructs a web request using a specific absolute url string and input stream.

Parameters:
  `url` - the URL to which the request should be issued
  `source` - an input stream which will provide the body of this request
  `contentType` - the MIME content type of the body, including any character set

## Method Details

### getMethod

public String getMethod()
Returns 'PUT' to indicate the method.

Overrides:
  `getMethod` in class `WebRequest`
Returns:
  the method